Create Event
const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-api-secret': '<api-key>',
'x-connector-id': '<api-key>',
'x-owner-id': '<api-key>',
'x-session-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
startTime: '2023-11-07T05:31:56Z',
externalAttendees: [
{
email: '<string>',
firstName: '<string>',
lastName: '<string>',
phoneNumber: '<string>'
}
],
answers: {},
title: '<string>',
description: '<string>',
endTime: '2023-11-07T05:31:56Z',
duration: 123,
attendees: [
{
id: '<string>',
model: '<string>',
fields: null,
rawResource: null,
remote: {id: '<string>'},
createdAt: '<string>',
updatedAt: '<string>'
}
]
})
};
fetch('https://api.runmorph.dev/v1/resources/schedulingEvent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.runmorph.dev/v1/resources/schedulingEvent \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>' \
--header 'x-connector-id: <api-key>' \
--header 'x-owner-id: <api-key>' \
--header 'x-session-token: <api-key>' \
--data '
{
"startTime": "2023-11-07T05:31:56Z",
"externalAttendees": [
{
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>"
}
],
"answers": {},
"title": "<string>",
"description": "<string>",
"endTime": "2023-11-07T05:31:56Z",
"duration": 123,
"attendees": [
{
"id": "<string>",
"model": "<string>",
"fields": null,
"rawResource": null,
"remote": {
"id": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.runmorph.dev/v1/resources/schedulingEvent"
payload := strings.NewReader("{\n \"startTime\": \"2023-11-07T05:31:56Z\",\n \"externalAttendees\": [\n {\n \"email\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"phoneNumber\": \"<string>\"\n }\n ],\n \"answers\": {},\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"endTime\": \"2023-11-07T05:31:56Z\",\n \"duration\": 123,\n \"attendees\": [\n {\n \"id\": \"<string>\",\n \"model\": \"<string>\",\n \"fields\": null,\n \"rawResource\": null,\n \"remote\": {\n \"id\": \"<string>\"\n },\n \"createdAt\": \"<string>\",\n \"updatedAt\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-api-secret", "<api-key>")
req.Header.Add("x-connector-id", "<api-key>")
req.Header.Add("x-owner-id", "<api-key>")
req.Header.Add("x-session-token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runmorph.dev/v1/resources/schedulingEvent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startTime' => '2023-11-07T05:31:56Z',
'externalAttendees' => [
[
'email' => '<string>',
'firstName' => '<string>',
'lastName' => '<string>',
'phoneNumber' => '<string>'
]
],
'answers' => [
],
'title' => '<string>',
'description' => '<string>',
'endTime' => '2023-11-07T05:31:56Z',
'duration' => 123,
'attendees' => [
[
'id' => '<string>',
'model' => '<string>',
'fields' => null,
'rawResource' => null,
'remote' => [
'id' => '<string>'
],
'createdAt' => '<string>',
'updatedAt' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>",
"x-api-secret: <api-key>",
"x-connector-id: <api-key>",
"x-owner-id: <api-key>",
"x-session-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.runmorph.dev/v1/resources/schedulingEvent"
payload = {
"startTime": "2023-11-07T05:31:56Z",
"externalAttendees": [
{
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>"
}
],
"answers": {},
"title": "<string>",
"description": "<string>",
"endTime": "2023-11-07T05:31:56Z",
"duration": 123,
"attendees": [
{
"id": "<string>",
"model": "<string>",
"fields": None,
"rawResource": None,
"remote": { "id": "<string>" },
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>",
"x-connector-id": "<api-key>",
"x-owner-id": "<api-key>",
"x-session-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://api.runmorph.dev/v1/resources/schedulingEvent")
.header("x-api-key", "<api-key>")
.header("x-api-secret", "<api-key>")
.header("x-connector-id", "<api-key>")
.header("x-owner-id", "<api-key>")
.header("x-session-token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"startTime\": \"2023-11-07T05:31:56Z\",\n \"externalAttendees\": [\n {\n \"email\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"phoneNumber\": \"<string>\"\n }\n ],\n \"answers\": {},\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"endTime\": \"2023-11-07T05:31:56Z\",\n \"duration\": 123,\n \"attendees\": [\n {\n \"id\": \"<string>\",\n \"model\": \"<string>\",\n \"fields\": null,\n \"rawResource\": null,\n \"remote\": {\n \"id\": \"<string>\"\n },\n \"createdAt\": \"<string>\",\n \"updatedAt\": \"<string>\"\n }\n ]\n}")
.asString();{
"object": "resource",
"model": "<string>",
"id": "<string>",
"remote": {
"id": "<string>"
}
}{
"message": ""
}Event
Create Event
POST
/
v1
/
resources
/
schedulingEvent
Create Event
const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-api-secret': '<api-key>',
'x-connector-id': '<api-key>',
'x-owner-id': '<api-key>',
'x-session-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
startTime: '2023-11-07T05:31:56Z',
externalAttendees: [
{
email: '<string>',
firstName: '<string>',
lastName: '<string>',
phoneNumber: '<string>'
}
],
answers: {},
title: '<string>',
description: '<string>',
endTime: '2023-11-07T05:31:56Z',
duration: 123,
attendees: [
{
id: '<string>',
model: '<string>',
fields: null,
rawResource: null,
remote: {id: '<string>'},
createdAt: '<string>',
updatedAt: '<string>'
}
]
})
};
fetch('https://api.runmorph.dev/v1/resources/schedulingEvent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Authorizations
Query Parameters
Body
application/jsonapplication/jwttext/plain
Start time of the event
External attendees of the event
Show child attributes
Show child attributes
Answers to the event type questions
Show child attributes
Show child attributes
The scheduling event type this event belongs to
Show child attributes
Show child attributes
Title of the scheduling event
Description of the scheduling event
Status of the scheduling event
Available options:
requested, planned, inProgress, completed, canceled End time of the event
Duration of the event in minutes
Internal attendees of the event
Show child attributes
Show child attributes
Organizer of the event
Show child attributes
Show child attributes
⌘I